language: java
dist: trusty

jdk:
  - oraclejdk11
  - oraclejdk9
  - oraclejdk8
  - openjdk11
  - openjdk10
  - openjdk9
  - openjdk8

matrix:
  include:
    - jdk: openjdk7
      install:
        - mvn test -DskipTests=true -B -V
        - jdk_switcher use oraclejdk8
        - mvn install -DskipTests=true -Dmaven.javadoc.skip=true -Dgpg.skip=true -B -V
        - jdk_switcher use $TRAVIS_JDK_VERSION

install:
  - mvn install -DskipTests=true -Dmaven.javadoc.skip=true -Dgpg.skip=true -B -V
